Bug 831639 - [abrt] pychess-0.10.1-1.fc17: lmove.py:353:parseSAN:ParsingError: ('Nc6', 'no Knight is able to move to c6', 'rNbqkbNr/PPPPPPPP/8/8/8/8/PPPPPPPP/RNBQKBNR b KQkq - 0 1')
[abrt] pychess-0.10.1-1.fc17: lmove.py:353:parseSAN:ParsingError: ('Nc6', 'no...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pychess (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bruno Wolff III
Fedora Extras Quality Assurance
abrt_hash:2f566de48baf60e0e23944fa374...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 09:45 EDT by das
Modified: 2013-07-31 17:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 17:43:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description das 2012-06-13 09:45:23 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python -u /usr/lib/python2.7/site-packages/pychess/Players/PyChess.py
executable:     /usr/lib/python2.7/site-packages/pychess/Players/PyChess.py
kernel:         3.4.0-1.fc17.x86_64
time:           Wed 13 Jun 2012 07:08:31 PM IST
uid:            1000
username:       dd

backtrace:
:lmove.py:353:parseSAN:ParsingError: ('Nc6', 'no Knight is able to move to c6', 'rNbqkbNr/PPPPPPPP/8/8/8/8/PPPPPPPP/RNBQKBNR b KQkq - 0 1')
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/pychess/Players/PyChess.py", line 834, in <module>
:    pychess.run()
:  File "/usr/lib/python2.7/site-packages/pychess/Players/PyChess.py", line 269, in run
:    move = parseAny (self.board, lines[1])
:  File "/usr/lib/python2.7/site-packages/pychess/Utils/lutils/lmove.py", line 52, in parseAny
:    return parseSAN (board, algnot)
:  File "/usr/lib/python2.7/site-packages/pychess/Utils/lutils/lmove.py", line 353, in parseSAN
:    raise ParsingError, (san, errstring, board.asFen())
:ParsingError: ('Nc6', 'no Knight is able to move to c6', 'rNbqkbNr/PPPPPPPP/8/8/8/8/PPPPPPPP/RNBQKBNR b KQkq - 0 1')
:
:Local variables in innermost frame:
:notat: ''
:c: '6'
:board_clone: White KQkq -
:r . b q k b N r 
:P P P P P P P P 
:. . n . . . . . 
:. . . . . . . . 
:. . . . . . . . 
:. . . . . . . . 
:P P P P P P P P 
:R N B Q K B N R 
:
:f: 50
:genAllMoves: <function genAllMoves at 0x2c96398>
:frank: None
:move: 16960
:tcord: 42
:flag: 0
:board: Black KQkq -
:r N b q k b N r 
:P P P P P P P P 
:. . . . . . . . 
:. . . . . . . . 
:. . . . . . . . 
:. . . . . . . . 
:P P P P P P P P 
:R N B Q K B N R 
:
:errstring: 'no Knight is able to move to c6'
:ffile: None
:piece: 2
:san: 'Nc6'

smolt_data:
:
:
:General
:=================================
:UUID: 657b69e2-ba19-41ac-8c09-792e31ae000c
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 6019.82
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     E8400  @ 3.00GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2997
:System Memory: 3945
:System Swap: 2047
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.4.0-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10168:4163:33145) pci, None, PCI/ISA, P5KPL-VM Motherboard
:(32902:10690:4163:33456) pci, i915, VIDEO, P5KPL-VM Motherboard
:(32902:10176:4163:33145) pci, ata_piix, STORAGE, P5KPL-VM Motherboard
:(32902:10192:4163:33145) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:4163:33145) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(32902:10200:4163:33424) pci, snd_hda_intel, MULTIMEDIA, P5KPL-VM Motherboard
:(32902:10207:4163:33145) pci, ata_piix, STORAGE, P5KPL-VM Motherboard
:(32902:10202:4163:33145) pci, i801_smbus, SERIAL, P5KPL-VM Motherboard
:(32902:9294:4163:33145) pci, None, PCI/PCI, 82801 PCI Bridge
:(4332:33081:4332:33081) pci, 8139too, ETHERNET, RTL-8139/8139C/8139C+
:(4332:33128:4163:33478) pci, r8169, ETHERNET, M3A78-EH Motherboard
:(32902:10185:4163:33145) pci, uhci_hcd, USB, P5KPL-VM,P5LD2-VM Mainboard
:(32902:10184:4163:33145) pci, uhci_hcd, USB, P5KPL-VM,P5LD2-VM Mainboard
:(32902:10688:4163:33456) pci, agpgart-intel, HOST/PCI, P5KPL-VM Motherboard
:(32902:10186:4163:33145) pci, uhci_hcd, USB, P5KPL-VM,P5LD2-VM Mainboard
:(32902:10187:4163:33145) pci, uhci_hcd, USB, P5KPL-VM,P5LD2-VM Mainboard
:(32902:10188:4163:33145) pci, ehci_hcd, USB, P5KPL-VM,P5LD2-VM Mainboard
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sdb1 / ext4 4096 4096 26174944 23933270 22622550 6553600 6311576 6311576
:/dev/sda3 WITHHELD ext4 4096 4096 217494244 84427084 73541392 54435840 54293176 54293176
:/dev/sdb3 WITHHELD ext4 4096 4096 217494244 79857492 68971800 54435840 54293292 54293292
:/dev/sda1 WITHHELD ext4 4096 4096 26174944 25755051 24444331 6553600 6553589 6553589
:
Comment 1 Fedora End Of Life 2013-07-03 17:00:15 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 17:43:31 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.